class CreateActiveTranslation < ActiveRecord::Migration
  def change
    create_table :translations do |t|
      t.string :locale, index: true
      t.text :text
      t.integer :phrase_id, index: true
      t.timestamps null: false
    end
    add_index :translations, :text, length: {:text => 255}

    create_table :phrases do |t|
      t.timestamps null: false
    end

    create_table :phrase_containers do |t|
      t.integer :translatable_id
      t.string :translatable_type
      t.string :attribute_name, index: true
      t.integer :phrase_id, index: true
    end
    add_index :phrase_containers, [:translatable_id, :translatable_type]
  end
end
